Page MenuHomePhabricator

Deploy RevisionSlider BetaFeature on dewiki
Closed, ResolvedPublic1 Story Points

Description

The exact date is not yet clear; @Lea_WMDE and @Bmueller will communicate it. We still can prepare the necessary patch(es) already.

Community Consensus: The RevisionSlider is a feature built to fulfill one of the wishes of the German-speaking Community Wishlist of 2015.
More Info in English: https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes#RevisionSlider_.28show_edit_summaries_in_diff_view.2C_navigate_through_diff_pages.29
More info in German: https://de.wikipedia.org/wiki/Wikipedia:Technische_W%C3%BCnsche/Topw%C3%BCnsche#Anzeige_aller_Bearbeitungskommentare_im_Diff_.5BUmfrage_2015.5D

Background:
The revision slider is a feature that adds a visualization of all revisions to the compare screen. Revisions are represented as bars on a line and can be selected using two pointers. The revision slider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is a solution to fulfill a wish of the German Community Wishlist: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 13 2016, 12:37 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJul 13 2016, 12:55 PM
Addshore renamed this task from Deploy Revision Slider on dewiki to Deploy RevisionSlider BetaFeature on dewiki.Jul 13 2016, 12:55 PM

@Aklapper Why did you remove Community-consensus-needed without providing the link?

Local on-wiki community consensus is needed for a configuration variable or setting change, to confirm that the request is supported by the community. This tag is set when no link to such a discussion/decision has been provided.

Lea_WMDE updated the task description. (Show Details)Jul 14 2016, 8:35 AM

@Danny_B: I added the point community consensus to the task description

Change 298933 had a related patch set uploaded (by Addshore):
DNM WIP Enable RevisonSlider on dewiki

https://gerrit.wikimedia.org/r/298933

Addshore moved this task from Incoming to Backlog on the Revision-Slider board.

@Lea_WMDE Thank you for following the right processes.

WMDE-Fisch set the point value for this task to 1.Jul 14 2016, 2:28 PM
WMDE-Fisch moved this task from Proposed to Review on the TCB-Team-Sprint-2016-07-14 board.
WMDE-leszek removed a subscriber: WMDE-leszek.
WMDE-leszek added a subscriber: WMDE-leszek.
Addshore moved this task from Backlog to Doing on the Revision-Slider board.Jul 19 2016, 7:24 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 20 2016, 12:15 PM

Why this feature needed a community consensus, while some other beta features with similar or larger impact didn't? For example, Content Translation and Cross-wiki Notifications didn't need a consensus, although Content Translation did even affect users who didn't activate it because of some articles that were translated very poor by foreign users.

Change 298933 merged by jenkins-bot:
RevisionSlider enables: dewiki, hewiki, arwiki

https://gerrit.wikimedia.org/r/298933

Addshore closed this task as Resolved.Jul 21 2016, 11:10 PM

Now deployed!

Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.
Addshore moved this task from Doing to Done on the Revision-Slider board.Aug 3 2016, 5:13 PM
Danny_B removed a subscriber: Danny_B.Aug 3 2016, 9:15 PM